Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.step
Class LabelStep

    java.lang.Object
      com.pmease.quickbuild.step.Step
          com.pmease.quickbuild.step.LabelStep

All Implemented Interfaces:
  java.io.Serializable

public class LabelStep
extends Step

This step labels codes checked out by repositories

Author:
  robin shine
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.pmease.quickbuild.step.Step
`DEFAULT_NAME`

Constructor Summary
`LabelStep()`

Method Summary
`java.lang.String` | `getComment()` OGNL: Specify comment for this label action.
`java.lang.String` | `getLabelExpression()` OGNL: Specifies the label that will be applied to related repositories.
`java.util.Map` | `getLabelExpressionChoices()`
`protected void` | `run(Build build)` Run this step in specified build context.
`void` | `setComment(java.lang.String comment)`
`void` | `setLabelExpression(java.lang.String labelExpression)`

Methods inherited from class com.pmease.quickbuild.step.Step
`equals, getEditor, getName, getNameChoices, getParent, getStatus, getStepNecessaryCondition, getStepNecessaryConditionChoices, hashCode, isFailed, isIdle, isRunning, isSuccessful, setEditor, setName, setStatus, setStepNecessaryCondition, trigger, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LabelStep

    public LabelStep()

Method Detail

### getLabelExpression

    public java.lang.String getLabelExpression()

  OGNL: Specifies the label that will be applied to related repositories.

  Returns:

### setLabelExpression

    public void setLabelExpression(java.lang.String labelExpression)

### getLabelExpressionChoices

    public java.util.Map getLabelExpressionChoices()

### getComment

    public java.lang.String getComment()

  OGNL: Specify comment for this label action.

  Returns:

### setComment

    public void setComment(java.lang.String comment)

### run

    protected void run(Build build)

  Description copied from class: `Step`
  Run this step in specified build context.

  Specified by:
    `run` in class `Step`
  Parameters:
    `build` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.